Bug 84356 - Expose value localization function of HTMLInputElement
Summary: Expose value localization function of HTMLInputElement
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keishi Hattori
URL: data:text/html,<input type=number ste...
Keywords:
Depends on:
Blocks: 27247
  Show dependency treegraph
 
Reported: 2012-04-19 10:49 PDT by Kent Tamura
Modified: 2012-06-20 18:17 PDT (History)
1 user (show)

See Also:


Attachments
Patch (9.60 KB, patch)
2012-05-28 01:37 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (10.34 KB, patch)
2012-05-28 03:56 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2012-04-19 10:49:04 PDT
1. Run Chromium browser on French locale
2. Open the URL; data:text/html,<input type=number step=0.1 list=dl1><datalist id=dl1><option>12.3</datalist>
3. Type '1' in the field

Expected:
 '12,3' is shown because it's in French locale.

Actual:
 '12.3' is shown.
Comment 1 Keishi Hattori 2012-05-28 01:37:37 PDT
Created attachment 144303 [details]
Patch
Comment 2 Kent Tamura 2012-05-28 02:09:10 PDT
Comment on attachment 144303 [details]
Patch

ok
Comment 3 Kent Tamura 2012-05-28 02:09:41 PDT
Comment on attachment 144303 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=144303&action=review

> Source/WebCore/ChangeLog:3
> +        [Chromium] datalist: A suggestion value should be localized for <input type=number>

This patch touches non-Chromium part.  So please remove [Chromium].
Comment 4 Kent Tamura 2012-05-28 02:11:24 PDT
Comment on attachment 144303 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=144303&action=review

>> Source/WebCore/ChangeLog:3
>> +        [Chromium] datalist: A suggestion value should be localized for <input type=number>
> 
> This patch touches non-Chromium part.  So please remove [Chromium].

Also, this summary doesn't represent what the patch does.  It should be "Expose value localization function of HTMLInputElement", or something.
Comment 5 Keishi Hattori 2012-05-28 03:56:59 PDT
Created attachment 144323 [details]
Patch
Comment 6 WebKit Review Bot 2012-05-28 05:50:19 PDT
Comment on attachment 144323 [details]
Patch

Clearing flags on attachment: 144323

Committed r118677: <http://trac.webkit.org/changeset/118677>